Subject: Re: [urn] 2141bis questions - (5) Section 6 and valid and invalid URNs

From: Juha Hakala <[email-masked]>
Date: Mon, 05 Jan 2015 14:36:34 +0200

Hello,

On 23.12.2014 20:52, Peter Saint-Andre - &yet wrote:
> On 12/23/14, 10:54 AM, John C Klensin wrote:
>> Section 6 ("URN Namespaces") of 2141bis talks about valid and
>> invalid, formal and informal URNs.  The combinations are a
>> little confusing, especially since the current text makes a
>> string that generally follows the URN syntax but that uses an
>> unregistered NID invalid.  I think some clarification is in
>> order and want to make sure the WG agrees.  Hence:
>>
>> Question 1: It is our intent to keep URN-like objects based on
>> unregistered namespace invalid, right?
>
> I think so. URNs are a managed process. If someone starts creating 
> URNs under urn:klensin:* and no one ever registered "klensin" as a 
> NID, then they're out of bounds.

+ 1.

There are at least two different cases here. Anyone who knows anything 
about usage of standard identifiers would see that urn:klensin:* URNs 
are (and probably will be) invalid. But it is more difficult to work out 
the status of URNs which look valid. For instance, even some librarians 
might think that urn:isrc:* are OK (ISRC = International Standard 
Recording Code, http://isrc.ifpi.org/en/), especially if those URNs are 
actionable (they might be). But without formal namespace registration 
urn:isrc:*'s are still as invalid as urn:klensin:* ones, even though it 
is not likely that NID "ISRC" will be assigned to some other identifier 
system than ISRC.

>
>> Question 2: The last paragraph of the Section 6 introduction
>> (before Section 6.1 starts) disposes of "experimental"
>> namespaces.  I believe it should be made clear that continued
>> use of such namespaces with URN-like syntax does not make them
>> valid URNs (because they are unregistered).   If anyone
>> disagrees, please speak up not.
>
> Agreed.

+ 1.

Juha
> Peter

-- 

  Juha Hakala
  Senior advisor

  The National Library of Finland
  Library Network Services
  P.O.Box 26 (Teollisuuskatu 23)
  FIN-00014 Helsinki University
  Tel. +358 9 191 44293
  Mobile +358 50 3827678

---

From: John C Klensin <[email-masked]>
Date: Wed, 21 Jan 2015 12:05:21 -0500

--On Monday, January 05, 2015 14:36 +0200 Juha Hakala
<[email-masked]> wrote:

>...
>>> Question 1: It is our intent to keep URN-like objects based
>>> on unregistered namespace invalid, right?
>> 
>> I think so. URNs are a managed process. If someone starts
>> creating  URNs under urn:klensin:* and no one ever registered
>> "klensin" as a  NID, then they're out of bounds.
> 
> + 1.
> 
> There are at least two different cases here. Anyone who knows
> anything about usage of standard identifiers would see that
> urn:klensin:* URNs are (and probably will be) invalid. But it
> is more difficult to work out the status of URNs which look
> valid. For instance, even some librarians might think that
> urn:isrc:* are OK (ISRC = International Standard Recording
> Code, http://isrc.ifpi.org/en/), especially if those URNs are
> actionable (they might be). But without formal namespace
> registration urn:isrc:*'s are still as invalid as
> urn:klensin:* ones, even though it is not likely that NID
> "ISRC" will be assigned to some other identifier system than
> ISRC.

Unless the International Society of Rat Catchers decides to
create a namepace to identify their members, species or
population information about rats, etc.   That further example
is of no interest except as evidence of the really good reason
why someone expecting to create and use an ISRC URN had best pay
careful and early attention to registration.  I don't think it
needs to be reflected in the document although I'd be open to
adding a comment if someone else thought it was important and
wanted to add text.

>>> use of such namespaces with URN-like syntax does not make
>>> them valid URNs (because they are unregistered).   If anyone

Since no one has disagreed, the working draft that will
eventually turn into -09 now explicitly indicates that previous
experimental namespaces are not part of valid URNs.

    john

---

From: Juha Hakala <[email-masked]>
Date: Thu, 22 Jan 2015 08:20:49 +0200

Hello,

> adding a comment if someone else thought it was important and

Not all communities using (ISO) standard identifiers will register URN 
namespaces for themselves early on, and it may take a while before URN 
namespace registration becomes a standard procedure. There is no way 
IETF could force for instance the ISRC community into registering a 
namespace, and if the International Society of Rat Catchers wish to 
register NID "ISRC" now, there is nothing in rfc2141 or rfc2141bis to 
prevent that, or even inform them that trying to register that NID might 
not be a good idea.

However, it is easy to reserve NIDs which match acronyms of relevant ISO 
/ industry standards to these standards. All it takes is a comment to 
this effect in the RFC. Then the International Society of Rat Catchers 
be required to check in advance if the NID ISRC is available using 
Google or perhaps a list of reserved NIDs maintained by  e.g. IANA as an 
annex to the list of registered NIDs. And if the registrant fails to 
make such a check, the expert reviewing the registration request should 
do that, and when necessary ask the registrant to change the proposed NID.

Juha

-- 

  Juha Hakala
  Senior advisor